{% extends "../layout/layout.njk" %}

{% if not cancelUrl %}
    {% set cancelUrl = url('/') %}
{% endif %}

{% block content %}
    <section class="section">

        <div class="columns">
            <div class="column is-offset-3-desktop is-6-desktop">
                {% block header %}
                {% endblock %}
            </div>
        </div>

        <div class="columns">
            <div class="column is-offset-3-desktop is-6-desktop">

                <div class="card">
                    <div class="card-content">
                        {% include "../partials/form-errors.njk" %}
                        <form method="POST" action="{{ formUrl }}">

                            {# CSRF validation #}
                            {{ csrf() | safe }}

                            {% block form %}
                            {% endblock %}

                            <hr>

                            {# Actions #}
                            <div class="field is-grouped is-justify-content-end">
                                <div class="control">
                                    <button class="button is-info">
                                        <span class="icon is-small">
                                            <i class="fas fa-check"></i>
                                        </span>
                                        <span>Submit</span>
                                    </button>
                                </div>
                                <div class="control">
                                    <a href="{{ cancelUrl }}" class="button is-info is-light">
                                        <span class="icon is-small">
                                            <i class="fas fa-times"></i>
                                        </span>
                                        <span>Cancel</span>
                                    </a>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>

            </div> {# end .column #}
        </div> {# end .columns #}

        <div class="columns">
            <div class="column is-offset-3-desktop is-6-desktop">
                {% block footer %}
                {% endblock %}
            </div> {# end .column #}
        </div> {# end .columns #}

    </section>
{% endblock %}
